// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services', 'ejangular'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:

  .state('tab.dash', {
    url: '/dash',
    views: {
      'tab-dash': {
        templateUrl: 'templates/tab-dash.html',
        controller: 'LoginCtrl'
      }
    }
  })

  .state('tab.chats', {
      url: '/chats',
      views: {
        'tab-chats': {
          templateUrl: 'templates/tab-chats.html',
          controller: 'ChatsCtrl'
        }
      }
    })
    .state('tab.chat-detail', {
      url: '/chats/:chatId',
      views: {
        'tab-chats': {
          templateUrl: 'templates/chat-detail.html',
          controller: 'ChatDetailCtrl'
        }
      }
    })

  .state('tab.account', {
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  })

  .state('Attendance', {
      url: '/Attendance',
      templateUrl: 'templates/Attendance.html',
      controller: 'AttendanceCtrl'
  })
    .state('late', {
        url: '/late',
        templateUrl: 'templates/Late.html',
        controller: 'LateCtrl'
    })
      .state('leave', {
          url: '/leave',
          templateUrl: 'templates/leave.html',
          controller: 'LeaveCtrl'
      })
        .state('PermissionHome', {
            url: '/PermissionHome',
            templateUrl: 'templates/PermissionHome.html',
            controller: 'PermissionHomeCtrl'
        })

      .state('options', {
      url: '/options',
      templateUrl: "templates/MainOption.html",
      controller: "MainOptionCtrl"
      })
      .state('payslip', {
          url: '/payslip',
          templateUrl: "templates/payslip.html",
          controller: "PaySlipCtrl"
      }).state('ebook', {
          url: '/ebook',
          templateUrl: "templates/ebook.html",
          controller: "EBookCtrl"
      }).state('coordinate', {
          url: '/coordinate',
          templateUrl: "templates/coordinate.html",
          controller: "CoordinateCtrl"
      }).state('library', {
          url: '/library',
          templateUrl: "templates/library.html",
          controller: "LibraryCtrl"
      }).state('stress', {
          url: '/stress',
          templateUrl: "templates/stress.html",
          controller: "StressCtrl"
      });;

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/dash');

});
